Page MenuHomePhabricator

Create Wikivoyage Japanese
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikivoyage Japanese.

  • Request page: https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikivoyage_Japanese
  • Language code: ja
  • Site URL: ja.wikivoyage.org
  • Project name: ウィキボヤージュ
  • Project name (English): Japanese Wikivoyage
  • Project namespace: Wikivoyage
  • Project talk namespace: "Wikivoyage・ノート" with alias "Wikivoyage talk"
  • Project logo: https://commons.wikimedia.org/wiki/File:Wikivoyage-Logo-v3-en.svg
  • Timezone: UTC
  • Shard: s5
  • Local file uploads: disabled
  • **Additional namespace: "プロジェクト" with alias "WikiProject" and talk namespace "プロジェクト・ノート" with alias "WikiProject talk". Note that jawiki has a namespace with this name as no. 102, so it might make sense to use the same number.

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=muswiki ja wikivoyage jawikivoyage ja.wikivoyage.org
On deploy1001:
scap sync-file wmf-config/db-eqiad.php "Creating jawikivoyage (T260320)"
scap sync-file wmf-config/db-codfw.php "Creating jawikivoyage (T260320)"
scap sync-file dblists "Creating jawikivoyage (T260320)"
scap sync-wikiversions "Creating jawikivoyage (T260320)"
scap sync-file static/images/project-logos/ "Creating jawikivoyage (T260320)"
scap sync-file wmf-config/InitialiseSettings.php "Creating jawikivoyage (T260320)"
scap sync-file langlist "Creating jawikivoyage (T260320)"
scap update-interwiki-cache

End of automatic output

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2020, 1:53 AM
Peachey88 moved this task from Untriaged to Create on the Wiki-Setup board.
Peachey88 edited projects, added Wiki-Setup (Create); removed Wiki-Setup.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 13 2020, 2:23 AM
Acer added a subscriber: Acer.Aug 13 2020, 7:46 AM
Tmv added a subscriber: Tmv.Aug 13 2020, 8:24 AM
Urbanecm moved this task from Backlog to Later on the User-Urbanecm board.Aug 13 2020, 8:12 PM
Acer added a comment.Aug 14 2020, 6:03 AM
This comment was removed by Acer.

Well, no. The wiki is going to be created based on the Incubator activity, and with the Incubator pages. We are not creating this as a fork from some random dump. Afterwards, other pages can be imported.

Ladsgroup updated the task description. (Show Details)Aug 15 2020, 2:44 PM
Ladsgroup updated the task description. (Show Details)Aug 15 2020, 3:32 PM

Change 620480 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[mediawiki/extensions/WikimediaMessages@master] Add messages for Japanese Wikivoyage (jawikivoyage)

https://gerrit.wikimedia.org/r/620480

Change 620480 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for Japanese Wikivoyage (jawikivoyage)

https://gerrit.wikimedia.org/r/620480

I think we should not import the Wikitravel data-dump. My comment in the discussion at the wiki is here.

Importing pages is letting custom come in. Importing the all pages of Wikitravel should brake custom of Wikivoyage because a lot of pages that have custom of Wikitravel will be left; we don't have enough manpower to adjust the pages to custom of Wikivoyage. So custom of Wikivoyage that has been grown for sevral years must be absorbed to the custom of Wikitravel the pages have.

That cause that Wikivoyage will be something like a degraded version or an archiving site of Wikitravel. And Wikivoyage will be not able to get people and Wikitravel will be able to get them.

So we should seek and grow Wikivoyage own good points that will appear with time and experience in Wikivoyage.

This is clearly not in the scope of this ticket, please either a create a parent task and discuss this there or discuss it in incubator/meta.

Sorry, we had better not discuss about it here... Shall we discuss about it at talk page of requests for new languages in Meta or import request page in Incubator? Or should we discuss in Japanese Wikivoyage community?

jhsoby added a subscriber: jhsoby.EditedAug 17 2020, 7:14 AM

Sorry, we had better not discuss about it here... Shall we discuss about it at talk page of requests for new languages in Meta or import request page in Incubator? Or should we discuss in Japanese Wikivoyage community?

Don't worry, we will only import the content from the Incubator unless explicitly asked otherwise (and only then if the license is OK, of course), so unless you want us to import the content from Wikitravel there is no need to discuss it anywhere. :-)

(I didn't read the discussion on Incubator before now, but that is indeed the best place to continue this discussion.)

Acer removed a subscriber: Acer.Aug 17 2020, 5:25 PM
Tmv added a comment.EditedAug 18 2020, 8:47 AM

@Atmark-chan It is the community that makes the final decision.

Meno25 added a subscriber: Meno25.Aug 18 2020, 3:06 PM

Sorry, we had better not discuss about it here... Shall we discuss about it at talk page of requests for new languages in Meta or import request page in Incubator? Or should we discuss in Japanese Wikivoyage community?

Don't worry, we will only import the content from the Incubator unless explicitly asked otherwise (and only then if the license is OK, of course), so unless you want us to import the content from Wikitravel there is no need to discuss it anywhere. :-)

(I didn't read the discussion on Incubator before now, but that is indeed the best place to continue this discussion.)

Thank you! :D

Change 622689 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Initial configuration for jawikivoyage

https://gerrit.wikimedia.org/r/622689

Change 622692 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[mediawiki/services/restbase/deploy@master] add ja.wikivoyage.org

https://gerrit.wikimedia.org/r/622692

Change 622692 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] add ja.wikivoyage.org

https://gerrit.wikimedia.org/r/622692

Change 622689 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for jawikivoyage

https://gerrit.wikimedia.org/r/622689

Mentioned in SAL (#wikimedia-operations) [2020-08-27T17:54:06Z] <urbanecm@deploy1001> Synchronized wmf-config/db-eqiad.php: Creating jawikivoyage (T260320) (duration: 01m 07s)

Mentioned in SAL (#wikimedia-operations) [2020-08-27T17:55:13Z] <urbanecm@deploy1001> Synchronized wmf-config/db-codfw.php: Creating jawikivoyage (T260320) (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2020-08-27T17:56:49Z] <urbanecm@deploy1001> Synchronized dblists: Creating jawikivoyage (T260320) (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2020-08-27T17:58:10Z] <urbanecm@deploy1001> rebuilt and synchronized wikiversions files: Creating jawikivoyage (T260320)

Mentioned in SAL (#wikimedia-operations) [2020-08-27T17:59:23Z] <urbanecm@deploy1001> Synchronized static/images/project-logos/: Creating jawikivoyage (T260320) (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2020-08-27T18:00:36Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating jawikivoyage (T260320) (duration: 01m 02s)

Mentioned in SAL (#wikimedia-operations) [2020-08-27T18:03:30Z] <Urbanecm> Creating jawikivoyage is done (T260320)

Urbanecm closed this task as Resolved.EditedAug 27 2020, 6:04 PM
Urbanecm claimed this task.
Urbanecm added a subscriber: Urbanecm.
Tmv added a comment.Aug 28 2020, 7:31 AM

Thanks for creating the subdomain!

Dcljr added a subscriber: Dcljr.Aug 28 2020, 5:48 PM

When I go to the wiki, I am not being automatically logged in, even though it appears in my Special:CentralAuth. Usually by this point in the process (importing done), I am automatically logged in when I go to a newly created Wikimedia content wiki. Has a step been skipped?

There are two reasons for that:

  • Safari and some browsers block such cookies because they are not the same "website". You need to login separately.
  • Sometimes it takes so much it's just feels it's not working, my suggestion would be to try to click on login and wait a couple of seconds, you don't need to write anything (that worked for me).
Dcljr added a comment.Aug 28 2020, 6:18 PM

try to click on login and wait a couple of seconds

That did it. Thanks. (I didn't want to log in separately, but I forgot that it usually works without typing anything. It's been so long since I had to do that.)

General note: Most of subtickets of this ticket actually should be its parent ticket (creating the wiki blocks adding them to wikidata, not the other way around). The bot will be creating them correctly though.

Change 623921 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Add extra namespaces for jawikivoyage

https://gerrit.wikimedia.org/r/623921

Change 623921 merged by jenkins-bot:
[operations/mediawiki-config@master] Add extra namespaces for jawikivoyage

https://gerrit.wikimedia.org/r/623921

Mentioned in SAL (#wikimedia-operations) [2020-09-03T11:28:14Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 04281a0875d34e1161f44697f732d898ab12d4f0: Add extra namespaces for jawikivoyage (T260320) (duration: 01m 01s)

Mentioned in SAL (#wikimedia-operations) [2020-09-03T11:33:16Z] <Urbanecm> [urbanecm@mwmaint2001 ~]$ mwscript namespaceDupes.php --wiki=jawikivoyage --fix | phaste # T260320 # P12481

Meno25 removed a subscriber: Meno25.Dec 15 2020, 4:47 PM